Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class BCPGInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.bouncycastle.bcpg.BCPGInputStream

All Implemented Interfaces:
  PacketTags

public class BCPGInputStream
extends java.io.InputStream
implements PacketTags

reader for PGP objects

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`BCPGInputStream(java.io.InputStream in)`

Method Summary
`int` | `available()`
`int` | `nextPacketTag()` returns true if the next packet in the stream is the same type as the past in tag.
`int` | `read()`
`void` | `readFully(byte[] buf)`
`void` | `readFully(byte[] buf, int off, int len)`
`Packet` | `readPacket()`

Methods inherited from class java.io.InputStream
`close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BCPGInputStream

    public BCPGInputStream(java.io.InputStream in)

Method Detail

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### readFully

    public void readFully(byte[] buf,
                          int off,
                          int len)
                   throws java.io.IOException

    `java.io.IOException`

### readFully

    public void readFully(byte[] buf)
                   throws java.io.IOException

    `java.io.IOException`

### nextPacketTag

    public int nextPacketTag()
                      throws java.io.IOException

  returns true if the next packet in the stream is the same type as the past in tag.

  Returns:
    boolean - true if next packet is of type tag.
  Throws:
    `java.io.IOException`

### readPacket

    public Packet readPacket()
                      throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD